Create Purchase Order: Entrata
https://api.propexo.com/v1/purchase-orders/entrata/| Method |
|---|
| vendors/sendPurchaseOrders |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the vendor location
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The post date for the purchase order
Show 2 variants
Description of the purchase order
The cost of shipping, in cents, of the purchase order
The discount, in cents, of the purchase order
purchase_order_items object[]
A list of the items associated with the purchase orders
The Propexo unique identifier for the property
Description of the purchase order item
The Propexo unique identifier for the financial account
The Propexo unique identifier for the unit
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
Whether the purchase order item is confidential or not
Whether the purchase order item is taxable or not
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the vendor location
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
Show 2 variants
Description of the purchase order
The cost of shipping, in cents, of the purchase order
The discount, in cents, of the purchase order
purchase_order_items object[]
A list of the items associated with the purchase orders
The Propexo unique identifier for the property
Description of the purchase order item
The Propexo unique identifier for the financial account
The Propexo unique identifier for the unit
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
Whether the purchase order item is confidential or not
Whether the purchase order item is taxable or not
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/purchase-orders/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"property_id": "string",
"post_date": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"property_id": "string",
"ap_financial_account_id": "string",
"post_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"shipping_amount_in_cents": 0,
"discount_amount_in_cents": 0,
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"financial_account_id": "string",
"unit_id": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"is_confidential": true,
"is_taxable": true
}
]
}
}